
{% extends 'base.html' %}

{% block content %}

<style>
    .col-md-4 {
        flex: 0 0 auto;
        width: 30%;
        padding-left: 50px;
}

    .col-md-5 {
        flex: 0 0 auto;
        width: 40%;
        padding-left: 60px;
}
</style>


<h1 style="text-align: center;">Article List</h1>

                {% if form.errors %}
                    <div class="alert alert-danger">
                        {% if form.non_field_errors %} 
                                {{ form.non_field_errors }} 
                        {% endif %}
                    </div>
                {% endif %}




<hr>



<div class="container-fluid">
    <div class="row">

        <div class="col-md-4">
            {% for article in article_list %}
                <h5>{{article.title}}</h5>
                <h5>{{article.content}}</h5>
                <h5>{{article.date}}</h5>
                <br>
            {% endfor %}
            

        </div>

        <div class="col-md-5">
            <form method="post">
                {% csrf_token %}
            
                <!-- {{form}} -->
            
                <div class="mb-3">
                    <label for="exampleFormControlInput1" class="form-label">Article Name</label>
                    {{form.article_name}}
            
                    <!-- <input type="text" class="form-control" name="article_name" id="exampleFormControlInput1"> -->
                  </div>
                  <div class="mb-3">
                    <label for="exampleFormControlTextarea1" class="form-label">Article Description</label>
                     {{form.article_description}}
            
                    <!-- <textarea class="form-control" id="exampleFormControlTextarea1" name="article_description" rows="3"></textarea> -->
                   </div>
                  <p>
                      <input type="submit" class="btn btn-primary">
                  </p>
            
            </form>

        </div>

        
        <div class="col-md-4">
            {% for art in article %}
                <h5>Article: {{art.article_name}}</h1>
                <h5>Description: {{art.article_description}}</h1>
                    <br>
            
        
        {% endfor %}

            

        </div>

       

    </div>

</div>
<hr>















{% endblock %}